Bug 455443 - Review Request: perl-Filesys-Df - Perl extension for filesystem disk space information
Review Request: perl-Filesys-Df - Perl extension for filesystem disk space in...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On:
Blocks: F-Spacewalk
  Show dependency treegraph
Reported: 2008-07-15 11:00 EDT by Miroslav Suchý
Modified: 2015-03-08 18:46 EDT (History)
4 users (show)

See Also:
Fixed In Version: perl-Filesys-Df-0.92-20.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-07-30 09:10:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msuchy: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2008-07-15 11:00:59 EDT
SPEC URL: http://miroslav.suchy.cz/fedora/perl-Filesys-Df/perl-Filesys-Df.spec
This module provides a way to obtain filesystem disk space information.
Comment 1 Parag AN(पराग) 2008-07-23 00:45:44 EDT
build failed
Comment 2 Miroslav Suchý 2008-07-23 06:01:36 EDT
SPEC and SRPM are updated.
Comment 3 Parag AN(पराग) 2008-07-23 06:09:38 EDT

rpmlint gave me
perl-Filesys-Df.i386: E: zero-length
==> is this really required? If not remove it.

perl-Filesys-Df.i386: W: wrong-file-end-of-line-encoding
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.
Comment 4 Miroslav Suchý 2008-07-23 08:00:42 EDT
Df.bs: it is bootstrap file for loading so library. Yes, it is zero length. And
as far I tried now, it is working even when erase. But since other perl modules
has same zero length file  (like perl-DBI, perl-Compress-Raw-Bzip2), I'm not
sure if I want to remove it.
This file is executed by bootstrap statedment in Df.pm (see
http://www.perl.com/doc/manual/html/lib/DynaLoader.html )

README - I'm not sure to what to do. Hmmm probably include patch to substitute
this newlines (but it will be long patch).
Comment 5 Miroslav Suchý 2008-07-23 09:27:28 EDT
OK. I put into srpm patch to remove dos EOL. I left Df.bs on place.
SPEC and SRPM are updated.
Comment 6 Parag AN(पराग) 2008-07-23 10:06:44 EDT
sorry I forgot to put "How to fix wrong-file-end-of-line-encoding". 
here it is given
==> sed -i 's/\r//' <file_to_strip> 

Regarding .bs files, I checked packages on F9 you mentioned in comment #4 but
didn't find any .bs installed on my machine. 
Okay. I just had a look at perl-DBI build.log at
and there I see .bs is actually removed using 
find /var/tmp/perl-DBI-1.601-4.fc9-root-mockbuild -type f -name '*.bs' -empty
-exec rm -f '{}' ';'

So you should add to spec 
find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -exec rm -f {} \;

Comment 7 Miroslav Suchý 2008-07-23 11:00:16 EDT
Aha, I now realize I checked rhel5 packages instead Fedora. And they have zero
*.bs files. Nevertheless I fixed it. I will try to contact author of cpanspec to
have this line autogenerated.
SPEC and SRPM are updated.
Comment 8 Parag AN(पराग) 2008-07-24 07:49:29 EDT
 I really like to see people commenting updated (SPEC and SRPM)path by
increasing release tag and adding changelog in SPEC each time they rebuild SRPM.

I assume that updated SRPM is 

Your package is not building still and failed with build.log
Comment 9 Miroslav Suchý 2008-07-24 11:32:56 EDT
SPEC: http://miroslav.suchy.cz/fedora/perl-Filesys-Df/perl-Filesys-Df.spec
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=736579
$ rpmlint /home/msuchy/rpmbuild/SRPMS/perl-Filesys-Df-0.92-2.fc9.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 10 Parag AN(पराग) 2008-07-29 02:20:05 EDT
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=744642
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
a8b0aa3e5151a8a6c8b3067625980934  Filesys-Df-0.92.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful!
+ Package perl-Filesys-Df-0.92-2.fc10 =>
Provides: Df.so perl(Filesys::Df) = 0.92
Requires: libc.so.6
 libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.1.3) perl >= 0:5.006 perl(Carp)
perl(DynaLoader) perl(Exporter) perl(strict) perl(vars) rtld(GNU_HASH)

Comment 11 Miroslav Suchý 2008-07-29 07:46:19 EDT
New Package CVS Request
Package Name: perl-Filesys-Df
Short Description: Perl extension for filesystem disk space information
Owners: msuchy
Branches: devel F-9 EL-4 EL-5
Cvsextras Commits: yes
Comment 12 Kevin Fenzi 2008-07-29 11:42:19 EDT
cvs done.
Comment 13 Paul Sand 2015-02-18 11:28:55 EST
Package Change Request
Package Name: perl-Filesys-Df
New Branches: epel7
Owners: msuchy

perl-Filesys-Df is used by the MailScanner (http://www.mailscanner.info/) product as a prerequisite.  It would make life somewhat easier for installers if
perl-Filesys-Df were available in EPEL 7.
Comment 14 Miroslav Suchý 2015-02-18 16:24:08 EST
Please do not change fedora-review flag, that one is to mark if review was done (flipping back). Fedora-cvs flag is for asking another branch. But the request for new branch should come from maintainer (he may have some reason for not doing that). You should just ask maintainer (me) if he can build it for epel7 (yes I can).
Comment 15 Miroslav Suchý 2015-02-18 16:25:51 EST
Package Change Request
Package Name: perl-Filesys-Df
New Branches: epel7
Owners: msuchy
Comment 16 Kevin Fenzi 2015-02-19 08:44:13 EST
Git done (by process-git-requests).
Comment 17 Fedora Update System 2015-02-19 10:12:06 EST
perl-Filesys-Df-0.92-20.el7 has been submitted as an update for Fedora EPEL 7.
Comment 18 Fedora Update System 2015-03-08 18:46:33 EDT
perl-Filesys-Df-0.92-20.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.